Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.serialize.charcode
Interface CharacterSet

All Known Implementing Classes:
  ASCIICharacterSet, ISO88591CharacterSet, JavaCharacterSet, UTF16CharacterSet, UTF8CharacterSet

    public interface CharacterSet

This interface defines properties of a character set, built in to the Saxon product. This is selected in xsl:output using encoding="encoding-name", where the mapping from an encoding-name to a class is defined in CharacterSetFactory.

Method Summary
`String` | `getCanonicalName()` Get the preferred Java name of the character set.
`boolean` | `inCharset(int ch)` Determine if a character is present in the character set

Method Detail

### inCharset

    boolean inCharset(int ch)

  Determine if a character is present in the character set

### getCanonicalName

    String getCanonicalName()

  Get the preferred Java name of the character set. Note that Java in many cases also supports a "historic name".

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2010 Saxonica Limited. All rights reserved.